<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}
?>
<style type="text/css">
	.clustdoc-client-portal-wrap .card {
		max-width: 100%;

	}
	.clustdoc-client-portal-wrap .col-md-6{
		max-width: 50%;
		width: 49%;
		display: inline-grid;
	}
	.clustdoc-client-portal-wrap .text-center{
		text-align:center;
	}

	.clustdoc-client-portal-wrap .row {
		display: inherit;
		width: 100%;
	}

	.clustdoc-client-portal-wrap .card-block h4{
		font-weight: normal;
    	padding: 0 20%;
		color:#858C93;
	}

	.clustdoc-client-portal-wrap .form-control {
		padding: .375rem .75rem;
		font-size: 0.9rem;
		line-height: 1.3;
		background-clip: padding-box;
		border-radius: .25rem;
	}

	.clustdoc-client-portal-wrap input[type=submit], a.btn{
		background: #0085ba;
		color: #fff;
		text-decoration: none;
	}
	.clustdoc-client-portal-wrap .card-block input[type=text] {
		width:400px;
	}

	.clustdoc-client-portal-wrap .card-block .links .col-md-6 {
		padding: 20px 0 40px;
	}

	.clustdoc-client-portal-wrap .card-block .links .col-md-6 span {
		margin: 0 20px;
	}

	.clustdoc-client-portal-wrap .col-md-6 .card{
		min-height:500px;
	}


	.clustdoc-client-portal-wrap .col-md-6 .card p{
		line-height:1.7rem;
	}

	.clustdoc-client-portal-wrap .pic-header img{
		width:400px;
	}
	.clustdoc-client-portal-wrap .disconnect{
		color: #0085ba;
		border: #0085ba solid 1px;
		padding: 5px 10px 5px 10px;
		margin:1%;
		border-radius: .25rem;

	}

	.clustdoc-client-portal-wrap .messageError{
		border: #edf0f2 solid 1px;
		border-left-width: 4px;
		border-left-style: solid;
		box-sizing: border-box;
		text-align:center;
		background-color: #f8f9fa;
		padding:1%;
		margin: 0% 0% 2% 0%;
		color:red;
		border-left-color: #fc6180;	
	}
	.clustdoc-client-portal-wrap .messageSuccess{
		border: #edf0f2 solid 1px;
		border-left-width: 4px;
		border-left-style: solid;
		box-sizing: border-box;
		text-align:center;
		background-color: #f8f9fa;
		padding:1%;
		margin: 0% 0% 2% 0%;
		color:green;
		border-left-color: #68e885;	
	}
	.displayToken{
		color:#858C93;
		text-align:right;
	}

</style>

<div class="wrap clustdoc-client-portal-wrap">
	<h1><?php _e( 'Clustdoc Client Portal - Settings page', 'clustdoc-client-portal' ); ?></h1>
	<form method="post" action="options.php">
		<?php settings_fields( 'clustdoc_client_portal_optsgroup' ); ?>
		<?php do_settings_sections( 'clustdoc_client_portal_optsgroup' ); ?>
		<div class="row">
			<div class="col col-md-12">
				<div class="card">
					<div class="card-block text-center">
						<div class="message">
							<?php if($this->api_error_message){ ?>
								<div class="messageError">
									<div><?php echo ($this->api_error_message) ?></div>
								</div>
							<?php }else{ ?>
								<div class="messageSuccess">
								<div><?php echo ($this->api_success_message) ?></div>
								</div> 
								<div class="displayToken">token: <?php echo substr(esc_attr($this->get_option( 'api_token' )), 0, 6) ?>XXXXXXXX</div> 
									<script>document.getElementById('dispay-portals').style.display="block";
									</script>
							<?php } ?>
						</div>
						<div class="pic-header">
						<img  src="<?php echo plugin_dir_url( __FILE__ ) . 'images/settings-screenshot.png'; ?>">
						</div>
						<h2><?php _e( 'Set up your portal and start receiving online applications today', 'clustdoc-client-portal' ); ?></h2>
						<h4><?php _e( 'Enter below your Clustdoc API Key and validate. Once that’s done, Go to your Wordpress page or post to add your portal.', 'clustdoc-client-portal' ); ?> <a style="font-weight:bold;" target="_blank" href="https://help.clustdoc.com/en/?q=wordpress"><?php _e( 'Need Help ?', 'clustdoc-client-portal' ); ?></a></h4>
						<div id="connect">
							<input iclass="form-control" type="text" id="clustdoc_api_token" name="clustdoc_client_portal_options[api_token]" value="<?php echo esc_attr( $this->get_option( 'api_token', '123' ) ); ?>" />
							<input class="form-control " type="submit" name="submit" id="submit" value="<?php _e( 'Confirm API key', 'clustdoc-client-portal' ); ?>">
						</div>
						<div>
							<?php if($this->api_success_message){ ?>
							<button class="disconnect" onclick="disconnect()"><?php _e('Disconnect this account','clustdoc-client-portal');?></button>
							<script>
								var connect = document.getElementById("connect").style.display='none';
							</script>
							<?php } ?>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col col-md-6">
				<div class="card" >
					<div class="card-block">
						<h2><?php _e( 'Finding your API key (Clustdoc Account holder)', 'clustdoc-client-portal' ); ?></h2>
						<p>
						<?php  _e( '1. Log into your Clustdoc account and go to the <a href="https://www.clustdoc.com/settings/team-config/section_api">Developers section</a>', 'clustdoc-client-portal' ); ?>
						<?php _e( '2. Click on API integrations in your Team settings', 'clustdoc-client-portal' ); ?>
						<?php _e( '3. Create an API token (Assign "manage-portals" ability)', 'clustdoc-client-portal' ); ?>
						</p>
					</div>
				</div>
			</div>
			<div class="col col-md-6" style="margin-left: 1.5%;">
				<div class="card" >
					<div class="card-block" >
					<?php if($this->api_success_message){ ?>
						<div id="dispay-portals" >
							<h2><?php _e( 'Insert your Clustdoc portal', 'clustdoc-client-portal' ); ?></h2>
							<p><b><?php _e( 'Option 1)', 'clustdoc-client-portal' ); ?></b> <?php _e( "(Recommended) You are using WP blocks. Go to your post or page and just add the Clustdoc block", 'clustdoc-client-portal' ); ?></p>
							<p><b><?php _e( 'Option 2)', 'clustdoc-client-portal' ); ?></b> <?php _e( " You don't use WP blocks. Select a portal and generate the code to add in your page.", 'clustdoc-client-portal' ); ?></p>
							<label><?php _e( 'Select your portal:', 'clustdoc-client-portal' ); ?></label>
							<div style="margin-bottom:15px;">
								<select style="height:30px;width:300px;" id="clustdoc_client_portal_select">
									<?php echo $this->get_portals(); ?>
								</select>
							</div>
							
							<p><a onclick="display()" id="clustdoc_client_portal_ib" class="button button-primary"><?php _e( 'Generate Code', 'clustdoc-client-portal' ); ?></a></p>
							<script type="text/javascript">
								//function disconncect
								function disconnect(){
										var connect = document.getElementById("clustdoc_api_token").value = "1234";		
								}
								// Display the Portal iframe selected
								function display(){
									var url = document.getElementById("clustdoc_client_portal_select").value;
									var res = document.getElementById("res");
									var iframe = null;
									if( url!=="0"){
									iframe = "&lt;iframe src=\"" + url + "?embedded=1\" frameborder=\"0\" height=\"800\" width=\"100%\"&gt;&lt;/iframe&gt;";
									res.style.display="block"
									res.innerHTML =iframe;}
								}
							</script>
							<h3 id="text">Code to insert in your pages :</h3>
							<div id="res" style="background-color: #f8f9fa;border: #0085ba solid 1px; display:none"></div>
							<?php }else{ ?>	
								<h2><?php _e( 'Insert your Clustdoc portal', 'clustdoc-client-portal' ); ?></h2>
								<p><b><?php _e( 'Please set up your API TOKEN to use your portals', 'clustdoc-client-portal' ); ?></b> </p>
							<?php } ?>
						</div>
					</div>
				</div>
			</div>
		</div>
	</form>
</div>
